Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8199684

Update minumum boot JDK to jdk-9+181

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 10, openjfx11
    • Fix Version/s: openjfx11
    • Component/s: javafx
    • Labels:

      Description

      We currently require a minimum of jdk-9+165 to build FX. The GA version of JDK 9 was build 181, so we should bump the minimum to jdk-9+181.

      This will allow us to remove the following now-unnecessary qualified exports:

      # Qualified exports for JDK-8177566
      --add-exports=javafx.base/com.sun.javafx.reflect=javafx.fxml
      --add-exports=javafx.base/com.sun.javafx.reflect=javafx.web

        Attachments

          Activity

            People

            Assignee:
            kcr Kevin Rushforth
            Reporter:
            kcr Kevin Rushforth
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: